#!/bin/sh -e
###
# This script builds the signet executable for the platform that you are on.
# This means on 32-bit Linux, you'll get a 32-bit ELF; on 64-bit Linux, you'll
# get a 64-bit ELF, and so on.
#
# This script should be run as a normal user.  All dependencies should already
# be installed (which can be done with dependencies.sh).
###
os=`uname`
git submodule update --init
if [ "$os" = "Linux" ]; then
	if [ -z "$CONFIG" ]; then
		CONFIG="release"  # default value
	fi
	qmake client/client.pro CONFIG+="$CONFIG"
	make
else
	echo "Platform not yet implemented"
fi
